<?php
/*
Plugin Name: BlocMenuAdd
Version: 1.7.d
Description: Permet d'ajouter 2 blocs de menu personaliss dans la barre de menu
Plugin URI: 
Author: yserver
Author URI: http://sebouvard.free.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('INDEXMANAGER_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
define('BLOCMENUADD_DIR' , basename(dirname(__FILE__)));
define('BLOCMENUADD_PATH' , PHPWG_PLUGINS_PATH . BLOCMENUADD_DIR . '/');
global $prefixeTable ;


add_event_handler('loc_end_menubar' , 'AddBlocMenu');
add_event_handler('get_admin_plugin_menu_links', 'BlocMenuAdd_admin_menu');

function BlocMenuAdd_admin_menu($menu)
{
    global $template;
	array_push($menu, array('NAME' => 'BlocMenuAdd',
            'URL' => get_admin_plugin_menu_link(BLOCMENUADD_PATH . 'admin/BlocMenuAdd_admin.php')));
    return $menu;
}

function AddBlocMenu()
{
	global $conf, $template;

$conf_BlocMenuAdd = explode("," , $conf['BlocMenuAdd']);

   $tpl_code_1 = '
<dl id="mbBlocMenuAdd1">
<dt>'.$conf_BlocMenuAdd[0].'</dt>
<dd>'.$conf_BlocMenuAdd[1].'</dd>
</dt>
</dl>
';

   $tpl_code_2 = '
<dl id="mbBlocMenuAdd2">
<dt>'.$conf_BlocMenuAdd[2].'</dt>
<dd>'.$conf_BlocMenuAdd[3].'</dd>
</dt>
</dl>
';

   if (function_exists('set_menubar_manager_data')) {
      set_menubar_manager_data('Bloc Perso 1 : '.$conf_BlocMenuAdd[0], $tpl_code_1, 'begin');
      set_menubar_manager_data('Bloc Perso 2 : '.$conf_BlocMenuAdd[2], $tpl_code_2, 'begin');

   } else {
      $template->loadfile('menubar');
      $template->uncompiled_code['menubar'] = str_replace('<div id="menubar">', '<div id="menubar">' . $tpl_code_1 . $tpl_code_2 , $template->uncompiled_code['menubar']);
   }

}
?>